all:
	-mkdir agfl-binary
	-mkdir agfl-binary/bin
	-mkdir agfl-binary/include
	-mkdir agfl-binary/lib
	cp config.h.cygwin config.h
	make -C libabase -f Makefile.cygwin
	make -C liblexicon -f Makefile.cygwin
	make -C gen -f Makefile.cygwin
	make -C lexgen -f Makefile.cygwin
	make -C utils -f Makefile.cygwin

clean:
	rm -rf agfl-binary
	rm -f config.h
	make -C libabase -f Makefile.cygwin clean
	make -C liblexicon -f Makefile.cygwin clean
	make -C gen -f Makefile.cygwin clean
	make -C lexgen -f Makefile.cygwin clean
	make -C utils -f Makefile.cygwin clean
	
